/*
 * syscalls.c
 *
 *  Created on: Dec 14, 2014
 *      Author: shino-chan
 */

#include "uart.h"

char* _sbrk(int incr) {
            extern char heap_low;    // Defined by the linker
            extern char heap_top;
            static char *heap_end;
            char *prev_heap_end;

            if (heap_end == 0) {
              heap_end = &heap_low;
            }
            prev_heap_end = heap_end;
            if (heap_end + incr > &heap_top) {
              return 0;
            }

            heap_end += incr;
            return (char*) prev_heap_end;
          }
int _isatty(int fd) {
	return 1;
}
int _close(int fd) {
	return 0;
}
int _open(int fd) {
	return 0;
}
int _fstat(void) {
	return 0;
}
int _lseek(void) {
	return 0;
}
int _read(void) {
	return 0;
}
int _write(int fd, const void *buf, int count) {
	sendString((char*)buf, count);
	return 0;
}
